Add new invoice installments
post
/fscmRestApi/resources/11.13.18.05/receivablesInvoices/{CustomerTransactionId}/action/splitInstallments
Adds additional installments to an invoice. You can also modify the amounts and due dates of existing installments.
Request
Path Parameters
-
CustomerTransactionId(required): integer(int64)
The unique identifier of the invoice.
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
- application/vnd.oracle.adf.action+json
Root Schema : schema
Type:
Show Source
object-
installmentPayload: array
installmentPayload
Lists the details of the existing and new invoice installments.
Nested Schema : installmentPayload
Type:
arrayLists the details of the existing and new invoice installments.
Show Source
-
Array of:
object items
Additional Properties Allowed: additionalProperties
Response
Supported Media Types
- application/json
- application/vnd.oracle.adf.actionresult+json
Default Response
The following table describes the default response for this task.
Root Schema : schema
Type:
Show Source
object-
result(required): array
result
If the request is successful, then this action returns a value of SUCCESS. Otherwise, this action returns errors.
Nested Schema : result
Type:
arrayIf the request is successful, then this action returns a value of SUCCESS. Otherwise, this action returns errors.
Show Source
-
Array of:
object items
Additional Properties Allowed: additionalProperties
Examples
Lets say there is an invoice with a single installment of 1,000 EUR due on 2026-05-04. And
the customer is unable to pay the 1,000 EUR installment on the due date and has requested an
extension. The jury has agreed for below payment:
- Pay 600 EUR by 2026-05-04 (partial payment of the original invoice amount)
- Pay the remaining balance of 400 EUR by 2026-06-04 (completion of payment for the invoice)
The following example shows how to add a new installments to an invoice by submitting a POST request on the REST resource using cURL.
cURL Command
curl -i -u "<username>:<password>" -H "Content-Type: application/vnd.oracle.adf.action+json" -X POST -d <payload> https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/ receivablesInvoices/{CustomerTransactionId}/action/splitInstallments
Example of Request Body
The following example shows the contents of the resquest body in JSON format.
{
"installmentPayload": [
{
"InstallmentSequenceNumber": 1 OR “InstallmentId”: 546321,
"OriginalAmount": 600,
"InstallmentDueDate": "2026-05-04"
},
{
"OriginalAmount": 400,
"InstallmentDueDate": "2026-06-04"
}
]
}
Example of Response Body
The following example shows the contents of the response body in JSON format.
{
"result": [
{
"InstallmentId": "546321",
"InstallmentSequenceNumber": "1",
"OriginalAmount": "600",
"InstallmentDueDate": "2026-05-04",
"InstallmentStatus": "Open"
},
{
"InstallmentId": "546322",
"InstallmentSequenceNumber": "2",
"OriginalAmount": "400",
"InstallmentDueDate": "2026-06-04",
"InstallmentStatus": "Open"
}
]
}